curl --request GET \
--url https://app.famulor.io/api/v1/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.famulor.io/api/v1/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.io/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.famulor.io/api/v1/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"tags": [
"<string>"
],
"source": "<string>",
"sources": [
"<string>"
],
"custom_fields": {},
"attempts": 123,
"next_attempt_at": "2023-11-07T05:31:56Z",
"last_amd_result": "<string>",
"last_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "created",
"call_qa": {
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"average_score": 123,
"scored_calls": 123,
"passed_calls": 123,
"pass_rate": 123,
"latest_score": 123,
"latest_scored_at": "2023-11-07T05:31:56Z"
}
}
],
"meta": {}
}List Audience contacts
List contacts across all campaigns with channel and tenant-scoped Call QA filters. Channel matches use linked calls, SMS, email, messaging conversations and contact channel profiles. Repeating channel matches any selected channel. QA uses the per-call History scorecard, counts every call once and excludes unscored calls. QA filters require the AI QA Scorecards feature. Required scope: leads:read (legacy calls:read is also accepted).
curl --request GET \
--url https://app.famulor.io/api/v1/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.famulor.io/api/v1/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.io/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.famulor.io/api/v1/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"tags": [
"<string>"
],
"source": "<string>",
"sources": [
"<string>"
],
"custom_fields": {},
"attempts": 123,
"next_attempt_at": "2023-11-07T05:31:56Z",
"last_amd_result": "<string>",
"last_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "created",
"call_qa": {
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"average_score": 123,
"scored_calls": 123,
"passed_calls": 123,
"pass_rate": 123,
"latest_score": 123,
"latest_scored_at": "2023-11-07T05:31:56Z"
}
}
],
"meta": {}
}Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, billing:write, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Query Parameters
Contacts with activity or a profile on any selected channel. Repeat the query parameter for multiple channels.
call, sms, email, whatsapp, telegram, messenger, slack, teams, discord, gchat, x, linear, notion, twitch, mattermost, webex, lark, line, sendblue, linq, zernio, freshdesk, gmail, outlook, zendesk, servicenow, intercom, zoho_mail, agent_mail, instagram, zulip